Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename dotfile-regex
%global enable_tests 1

Name:		nodejs-dotfile-regex
Version:	0.1.2
Release:	alt1_6
Summary:	Regular expression for matching dotfiles

License:	MIT
URL:		https://github.com/regexps/dotfile-regex
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.1.2 release is not tagged in github, so pull from master for now
Source1:	https://raw.githubusercontent.com/regexps/dotfile-regex/master/test.js
# License file isn't in the npm tarball either :-(
Source2:	https://raw.githubusercontent.com/regexps/dotfile-regex/master/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Regular expression for matching dotfiles.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# license file
cp -p %{SOURCE2} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_6
- new version

